/*
 * Banana Patcher v1 (C) 2009 Marc
 *
 * based on Waninkoko's Menu Patcher
 * patch file style from Preloader
 *
 * This utility will allow to apply on-the-fly the same patches
 * that Preloader uses without having to modify the NAND.
 */
 
#include <stdio.h>
#include <ogcsys.h>
#include <gccore.h>
#include "sysmenu.h"
#include "wiibasics.h"

//Color constants
#define BLACK	0
#define WHITE	7


int main(int argc, char **argv){
	basicInit();

    printf("\x1b[2J"); //clear console
	printf("\x1b[%u;%um", BLACK+30,0); //set title colors
	printf("\x1b[%u;%um", WHITE+40,1);
	printf("                    \n");
	printf("   Banana Patcher   \n");
	printf("    - by Marc -     \n");
	printf("                    \n");
	printf("\x1b[%u;%um", BLACK+40,0); //restore console colors
	printf("\x1b[%u;%um", WHITE+30,1);
	fflush(stdout);
	printf("\n\n");

	//Launch System Menu
	Sysmenu_Launch();

	//Wait for a button and restart
	printf("\n(press any button to continue)");

	wait_anyKey();

	printf("\nReturning to loader...");
	fflush(stdout);

	return 0;
}
